Imports System.Net.Mail

Public Class FormularzEmail
    Private Sub przyciskAnuluj_Click(sender As Object, e As EventArgs) Handles przyciskAnuluj.Click
        Me.Close()
    End Sub

    Private Sub przyciskWyślij_Click(sender As Object, e As EventArgs) Handles przyciskWyślij.Click
        Dim objWiadomość As New MailMessage()
        Dim objSerwerSMTP As New SmtpClient()
        With objWiadomość
            .From = New MailAddress("twójadres@twojapoczta.pl", "Twoje imię")
            .To.Add(New MailAddress(poleDo.Text))
            .Subject = poleTemat.Text

            .IsBodyHtml = True
            .Body = "<B>" & poleTreść.Text & "</B>"

            .Body = poleTreść.Text
            ' Utwórz załącznik i dodaj go do wiadomości.
            Dim objZałącznik As Attachment =
                New Attachment(FormularzPrzeglądarki.dialogWybierzObraz.FileName)
            .Attachments.Add(objZałącznik)
            ' Wyślij wiadomość.
            objSerwerSMTP.Credentials =
                New Net.NetworkCredential("twójadres@gmail.com", "Twoje_hasło")
            objSerwerSMTP.Port = 587
            objSerwerSMTP.EnableSsl = True
            objSerwerSMTP.Host = "smtp.gmail.com"
            objSerwerSMTP.Send(objWiadomość)
            objWiadomość.Dispose()
            objSerwerSMTP.Dispose()
            MessageBox.Show("Wiadomość została wysłana!", "Przeglądarka obrazów",
                MessageBoxButtons.OK, MessageBoxIcon.Information)

        End With
    End Sub
End Class